[P055]Get Export Results

get
https://connect.patsnap.com/patent-search/task
Try in Sandbox

Retrieves patent export results based on the specified Task ID. Returns a list of URLs to download files containing search results in the specified file format. Supports up to 100,000 most relevant patents exported.

1. The download link is valid for 7 days and will be cleared after expiration.

2. You can only query one download status at a time.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
task_id
Required
string264de8bf7e294505a9a000597e25d615
Task ID

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
url
stringhttp://exportapi.cdn.zhihuiya.com/20180607/1a9649e44d5dac74d5ff95d0455e31b7/20180607020732886.JSON?response-content-disposition=attachment%3B%20filename%3D%2220180607020732886.JSON%22%3B&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20180607T020740Z&X-Amz-SignedHeaders=host&X-Amz-Expires=604800&X-Amz-Credential=AKIAOMXTQGW2GCEVBM4A%2F20180607%2Fcn-north-1%2Fs3%2Faws4_request&X-Amz-Signature=6983e29dbc4a273742fc6714dc15916957257c1425678e90b7f5f3cd2e8d249e
Download address
count
integer<int32>24
Export number of patents
export_status
stringSUCCESS
Export task current status

SUCCESS:Exporting task succeeded

FAIL:The export task failed. Create the export task again

PENDING:The export task is in progress. Please try to obtain the download address later

status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "url": "http://exportapi.cdn.zhihuiya.com/20180607/1a9649e44d5dac74d5ff95d0455e31b7/20180607020732886.JSON?response-content-disposition=attachment%3B%20filename%3D%2220180607020732886.JSON%22%3B&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20180607T020740Z&X-Amz-SignedHeaders=host&X-Amz-Expires=604800&X-Amz-Credential=AKIAOMXTQGW2GCEVBM4A%2F20180607%2Fcn-north-1%2Fs3%2Faws4_request&X-Amz-Signature=6983e29dbc4a273742fc6714dc15916957257c1425678e90b7f5f3cd2e8d249e",
    "count": 24,
    "export_status": "SUCCESS"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms